Bug 227657 - Warning about MSI interrupt for bnx2 device
Warning about MSI interrupt for bnx2 device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
high Severity high
: ---
: ---
Assigned To: Andy Gospodarek
Brian Brock
:
: 205520 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-07 07:47 EST by Issue Tracker
Modified: 2014-06-29 18:58 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:19:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2007-02-07 07:47:51 EST
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2007-02-07 07:48:04 EST
We noticed following warnings in the log with IBM BladeCenter HW (LS21) and RHEL 4 U4 kernel. This is just for your information if you want to check this out. Here are the logs and lspci printout:

Dec 12 17:32:55 info CLA-1 kernel: MSI INIT SUCCESS
Dec 12 17:32:55 warning CLA-1 kernel: bnx2: eth0: No interrupt was generated using MSI, switching to INTx mode. Please report this failure to the PCI maintainer and include system chipset information.
Dec 12 17:32:55 warning CLA-1 kernel: bnx2: eth1: No interrupt was generated using MSI, switching to INTx mode. Please report this failure to the PCI maintainer and include system chipset information.
Dec 12 17:32:55 info CLA-1 kernel: bnx2: eth0 NIC Link is Up, 1000 Mbps full duplex

# lspci -vvv
00:01.0 PCI bridge: Broadcom HT1000 PCI/PCI-X bridge (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Bus: primary=00, secondary=01, subordinate=02, sec-latency=96
        I/O behind bridge: 0000f000-0000efff
        Memory behind bridge: ea000000-efffffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity+ SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [90] PCI-X bridge device.
                Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- Freq=3
                Status: Bus=0 Dev=1 Func=0 64bit- 133MHz- SCD- USC-, SCO-, SRD-
                : Upstream: Capacity=0, Commitment Limit=0
                : Downstream: Capacity=0, Commitment Limit=0
        Capabilities: [a0] HyperTransport: MSI Mapping
        Capabilities: [b0] HyperTransport: Slave or Primary Interface
                Command: BaseUnitID=1 UnitCnt=3 MastHost- DefDir-
                Link Control 0: CFlE+ CST- CFE- <LkFail- Init+ EOC- TXO- <CRCErr=0
                Link Config 0: MLWI=8bit MLWO=8bit LWI=8bit LWO=8bit
                Link Control 1: CFlE- CST- CFE- <LkFail- Init- EOC+ TXO+ <CRCErr=0
                Link Config 1: MLWI=8bit MLWO=8bit LWI=N/C LWO=N/C
                Revision ID: 0.00
        Capabilities: [d8] #0d [0000]

00:02.0 Host bridge: Broadcom HT1000 Legacy South Bridge
        Subsystem: IBM: Unknown device 0000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64

00:02.2 ISA bridge: Broadcom HT1000 LPC Bridge
        Subsystem: SBE Incorporated: Unknown device 0230
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

00:03.0 USB Controller: Broadcom HT1000 USB Controller (rev 01) (prog-if 10 [OHCI])
        Subsystem: Broadcom HT1000 USB Controller
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 10
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at f9fff000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at 3000 [size=256]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
                Bridge: PM- B3+

00:03.1 USB Controller: Broadcom HT1000 USB Controller (rev 01) (prog-if 10 [OHCI])
        Subsystem: Broadcom HT1000 USB Controller
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 10
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at f9ffe000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at 3100 [size=256]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
                Bridge: PM- B3+

00:03.2 USB Controller: Broadcom HT1000 USB Controller (rev 01) (prog-if 20 [EHCI])
        Subsystem: Broadcom HT1000 USB Controller
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 10
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at f9ffd000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at 3200 [size=256]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
                Bridge: PM- B3+

00:05.0 VGA compatible controller: ATI Technologies Inc ES1000 (rev 02) (prog-if 00 [VGA])
        Subsystem: IBM: Unknown device 0305
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2000ns min), Cache Line Size 10
        Interrupt: pin A routed to IRQ 169
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 3300 [size=256]
        Region 2: Memory at f9fe0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:06.0 PCI bridge: Broadcom HT2000 PCI-X bridge (rev b0) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=96
        I/O behind bridge: 00004000-00004fff
        Memory behind bridge: e7000000-e80fffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [90] PCI-X bridge device.
                Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- Freq=3
                Status: Bus=0 Dev=6 Func=0 64bit- 133MHz- SCD- USC-, SCO-, SRD-
                : Upstream: Capacity=0, Commitment Limit=0
                : Downstream: Capacity=0, Commitment Limit=0
        Capabilities: [a0] HyperTransport: MSI Mapping
        Capabilities: [b0] HyperTransport: Slave or Primary Interface
                Command: BaseUnitID=6 UnitCnt=6 MastHost- DefDir-
                Link Control 0: CFlE+ CST- CFE- <LkFail- Init+ EOC- TXO- <CRCErr=0
                Link Config 0: MLWI=16bit MLWO=16bit LWI=16bit LWO=16bit
                Link Control 1: CFlE+ CST- CFE- <LkFail- Init+ EOC- TXO- <CRCErr=0
                Link Config 1: MLWI=8bit MLWO=8bit LWI=8bit LWO=8bit
                Revision ID: 0.00

00:07.0 PCI bridge: Broadcom HT2000 PCI-X bridge (rev b0) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=96
        I/O behind bridge: 0000f000-0000efff
        Memory behind bridge: e5000000-e5ffffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [90] PCI-X bridge device.
                Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- Freq=3
                Status: Bus=0 Dev=7 Func=0 64bit- 133MHz- SCD- USC-, SCO-, SRD-
                : Upstream: Capacity=0, Commitment Limit=0
                : Downstream: Capacity=0, Commitment Limit=0
        Capabilities: [a0] HyperTransport: MSI Mapping

00:08.0 PCI bridge: Broadcom HT2000 PCI-Express bridge (rev b0) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=96
        I/O behind bridge: 00005000-00005fff
        Memory behind bridge: e3000000-e41fffff
        Prefetchable memory behind bridge: 00000000e8f00000-00000000e8f00000
        Secondary status: 66Mhz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
        BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [a0] HyperTransport: MSI Mapping
        Capabilities: [b0] Express Root Port (Slot-) IRQ 0
                Device: Supported: MaxPayload 512 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <4us, L1 <16us
                Device: Errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 256 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x8, ASPM L0s L1, Port 1
                Link: Latency L0s <4us, L1 <16us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x8
                Root: Correctable- Non-Fatal- Fatal- PME-

00:09.0 PCI bridge: Broadcom HT2000 PCI-Express bridge (rev b0) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=06, subordinate=08, sec-latency=96
        I/O behind bridge: 0000f000-0000efff
        Memory behind bridge: df000000-e1ffffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [a0] HyperTransport: MSI Mapping
        Capabilities: [b0] Express Root Port (Slot-) IRQ 0
                Device: Supported: MaxPayload 512 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <4us, L1 <16us
                Device: Errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 256 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x4, ASPM L0s L1, Port 2
                Link: Latency L0s <4us, L1 <16us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x4
                Root: Correctable- Non-Fatal- Fatal- PME-

00:0a.0 PCI bridge: Broadcom HT2000 PCI-Express bridge (rev b0) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=09, subordinate=09, sec-latency=96
        I/O behind bridge: 0000f000-0000efff
        Memory behind bridge: dd000000-ddffffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
        BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [a0] HyperTransport: MSI Mapping
        Capabilities: [b0] Express Root Port (Slot-) IRQ 0
                Device: Supported: MaxPayload 512 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <4us, L1 <16us
                Device: Errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 512 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x8, ASPM L0s L1, Port 3
                Link: Latency L0s <4us, L1 <16us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x8
                Root: Correctable- Non-Fatal- Fatal- PME-

00:0b.0 PCI bridge: Broadcom HT2000 PCI-Express bridge (rev b0) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=0a, subordinate=0a, sec-latency=96
        I/O behind bridge: 0000f000-0000efff
        Memory behind bridge: dc000000-dcffffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
        BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [a0] HyperTransport: MSI Mapping
        Capabilities: [b0] Express Root Port (Slot-) IRQ 0
                Device: Supported: MaxPayload 512 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <4us, L1 <16us
                Device: Errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 512 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x4, ASPM L0s L1, Port 4
                Link: Latency L0s <4us, L1 <16us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x4
                Root: Correctable- Non-Fatal- Fatal- PME-

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Capabilities: [80] HyperTransport: Host or Secondary Interface
        !!! Possibly incomplete decoding
                Command: WarmRst+ DblEnd-
                Link Control: CFlE+ CST- CFE- <LkFail- Init+ EOC- TXO- <CRCErr=0
                Link Config: MLWI=16bit MLWO=16bit LWI=16bit LWO=16bit
                Revision ID: 1.02
        Capabilities: [a0] HyperTransport: Host or Secondary Interface
        !!! Possibly incomplete decoding
                Command: WarmRst+ DblEnd-
                Link Control: CFlE- CST- CFE- <LkFail+ Init- EOC+ TXO+ <CRCErr=0
                Link Config: MLWI=16bit MLWO=16bit LWI=N/C LWO=N/C
                Revision ID: 1.02
        Capabilities: [c0] HyperTransport: Host or Secondary Interface
        !!! Possibly incomplete decoding
                Command: WarmRst+ DblEnd-
                Link Control: CFlE+ CST- CFE- <LkFail- Init+ EOC- TXO- <CRCErr=0
                Link Config: MLWI=16bit MLWO=16bit LWI=16bit LWO=16bit
                Revision ID: 1.02

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Capabilities: [f0] #0f [0010]

00:19.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Capabilities: [80] HyperTransport: Host or Secondary Interface
        !!! Possibly incomplete decoding
                Command: WarmRst+ DblEnd-
                Link Control: CFlE- CST- CFE- <LkFail+ Init- EOC+ TXO+ <CRCErr=0
                Link Config: MLWI=16bit MLWO=16bit LWI=N/C LWO=N/C
                Revision ID: 1.02
        Capabilities: [a0] HyperTransport: Host or Secondary Interface
        !!! Possibly incomplete decoding
                Command: WarmRst+ DblEnd-
                Link Control: CFlE- CST- CFE- <LkFail+ Init- EOC+ TXO+ <CRCErr=0
                Link Config: MLWI=16bit MLWO=16bit LWI=N/C LWO=N/C
                Revision ID: 1.02
        Capabilities: [c0] HyperTransport: Host or Secondary Interface
        !!! Possibly incomplete decoding
                Command: WarmRst+ DblEnd-
                Link Control: CFlE+ CST- CFE- <LkFail- Init+ EOC- TXO- <CRCErr=0
                Link Config: MLWI=16bit MLWO=16bit LWI=16bit LWO=16bit
                Revision ID: 1.02

00:19.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-

00:19.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-

00:19.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Capabilities: [f0] #0f [0010]

01:0d.0 PCI bridge: Broadcom HT1000 PCI/PCI-X bridge (rev c0) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 10
        Bus: primary=01, secondary=02, subordinate=02, sec-latency=96
        I/O behind bridge: 0000f000-0000efff
        Memory behind bridge: ea000000-eeffffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [90] PCI-X bridge device.
                Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- Freq=0
                Status: Bus=1 Dev=13 Func=0 64bit+ 133MHz+ SCD- USC-, SCO+, SRD-
                : Upstream: Capacity=8, Commitment Limit=8
                : Downstream: Capacity=8, Commitment Limit=8
        Capabilities: [88] #0d [0000]

02:04.0 Ethernet controller: Broadcom Corporation NetXtreme II BCM5706S Gigabit Ethernet (rev 02)
        Subsystem: IBM: Unknown device 0303
        Control: I/O- Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (16000ns min), Cache Line Size 10
        Interrupt: pin A routed to IRQ 177
        Region 0: Memory at ea000000 (64-bit, non-prefetchable) [size=32M]
        Capabilities: [40] PCI-X non-bridge device.
                Command: DPERE- ERO- RBC=3 OST=4
                Status: Bus=2 Dev=4 Func=0 64bit+ 133MHz+ SCD- USC-, DC=simple, DMMRBC=0, DMOST=4, DMCRS=2, RSCEM-
        Capabilities: [48] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 00000000fee00000  Data: 40d9

02:05.0 Ethernet controller: Broadcom Corporation NetXtreme II BCM5706S Gigabit Ethernet (rev 02)
        Subsystem: IBM: Unknown device 0303
        Control: I/O- Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (16000ns min), Cache Line Size 10
        Interrupt: pin A routed to IRQ 185
        Region 0: Memory at ec000000 (64-bit, non-prefetchable) [size=32M]
        Capabilities: [40] PCI-X non-bridge device.
                Command: DPERE- ERO- RBC=3 OST=4
                Status: Bus=2 Dev=5 Func=0 64bit+ 133MHz+ SCD- USC-, DC=simple, DMMRBC=0, DMOST=4, DMCRS=2, RSCEM-
        Capabilities: [48] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 00000000fee00000  Data: 40e1

03:04.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1064 PCI-X Fusion-MPT SAS (rev 02)
        Subsystem: IBM: Unknown device 031a
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 72 (16000ns min, 2500ns max), Cache Line Size 10
        Interrupt: pin A routed to IRQ 193
        Region 0: I/O ports at 4000 [disabled] [size=256]
        Region 1: Memory at e8010000 (64-bit, non-prefetchable) [size=16K]
        Region 3: Memory at e8000000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [98] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000  Data: 0000
        Capabilities: [68] PCI-X non-bridge device.
                Command: DPERE- ERO- RBC=3 OST=4
                Status: Bus=3 Dev=4 Func=0 64bit+ 133MHz+ SCD- USC-, DC=simple, DMMRBC=2, DMOST=6, DMCRS=4, RSCEM-

05:00.0 RAID bus controller: Adaptec AAC-RAID (Rocket) (rev 02)
        Subsystem: IBM ServeRAID 8k/8k-l8
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Interrupt: pin A routed to IRQ 201
        Region 0: Memory at e4000000 (64-bit, non-prefetchable) [size=2M]
        Region 2: Memory at e8f00000 (64-bit, prefetchable) [size=128K]
        Region 4: I/O ports at 5000 [size=256]
        Capabilities: [40] Express Endpoint IRQ 0
                Device: Supported: MaxPayload 256 bytes, PhantFunc 0, ExtTag+
                Device: Latency L0s <128ns, L1 <2us
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 256 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x8, ASPM L0s L1, Port 0
                Link: Latency L0s <64ns, L1 <1us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x8
        Capabilities: [e0] Message Signalled Interrupts: 64bit+ Queue=0/2 Enable-
                Address: 0000000000000000  Data: 0000

06:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A (rev 09) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Bus: primary=06, secondary=07, subordinate=07, sec-latency=96
        I/O behind bridge: 0000f000-0000efff
        Memory behind bridge: e0000000-e0ffffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [44] Express PCI/PCI-X Bridge IRQ 0
                Device: Supported: MaxPayload 256 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <64ns, L1 <1us
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 256 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x8, ASPM L0s, Port 0
                Link: Latency L0s unlimited, L1 unlimited
                Link: ASPM Disabled CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x8
        Capabilities: [5c] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000  Data: 0000
        Capabilities: [6c] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [d8] PCI-X bridge device.
                Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- Freq=3
                Status: Bus=6 Dev=0 Func=0 64bit- 133MHz- SCD- USC-, SCO-, SRD-
                : Upstream: Capacity=65535, Commitment Limit=65535
                : Downstream: Capacity=65535, Commitment Limit=65535

06:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B (rev 09) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Bus: primary=06, secondary=08, subordinate=08, sec-latency=96
        I/O behind bridge: 0000f000-0000efff
        Memory behind bridge: e1000000-e1ffffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000ffe00000
        Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [44] Express PCI/PCI-X Bridge IRQ 0
                Device: Supported: MaxPayload 256 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <64ns, L1 <1us
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 256 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x8, ASPM L0s, Port 0
                Link: Latency L0s unlimited, L1 unlimited
                Link: ASPM Disabled CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x8
        Capabilities: [5c] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000  Data: 0000
        Capabilities: [6c] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [d8] PCI-X bridge device.
                Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- Freq=3
                Status: Bus=6 Dev=0 Func=2 64bit- 133MHz- SCD- USC-, SCO-, SRD-
                : Upstream: Capacity=65535, Commitment Limit=65535
                : Downstream: Capacity=65535, Commitment Limit=65535

BR,
Kirsti
This event sent from IssueTracker by sprabhu  [Support Engineering Group]
 issue 109203
Comment 3 Issue Tracker 2007-02-07 07:48:12 EST
as requested:
# uname -r
2.6.9-42.32.EL.jwltest.180smp

# grep MSI /var/log/messages 
Feb  5 16:03:54 bcmz01 kernel: PCI: Found HT MSI mapping on 0000:00:08.0
with capability enabled
Feb  5 16:03:54 bcmz01 kernel: PCI: Found HT MSI mapping on 0000:00:09.0
with capability enabled
Feb  5 16:03:54 bcmz01 kernel: PCI: Found HT MSI mapping on 0000:00:0a.0
with capability enabled
Feb  5 16:03:54 bcmz01 kernel: PCI: Found HT MSI mapping on 0000:00:0b.0
with capability enabled
Feb  5 16:03:57 bcmz01 kernel: MSI INIT SUCCESS
Feb  5 16:03:57 bcmz01 kernel: bnx2: eth0: No interrupt was generated using
MSI, switching to INTx mode. Please report this failure to the PCI
maintainer and include system chipset information.

# dmesg |grep MSI
PCI: Found HT MSI mapping on 0000:00:08.0 with capability enabled
PCI: Found HT MSI mapping on 0000:00:09.0 with capability enabled
PCI: Found HT MSI mapping on 0000:00:0a.0 with capability enabled
PCI: Found HT MSI mapping on 0000:00:0b.0 with capability enabled
MSI INIT SUCCESS
bnx2: eth0: No interrupt was generated using MSI, switching to INTx mode.
Please report this failure to the PCI maintainer and include system chipset
information.

full sysreport attached. Mind you this blade was loaned to me for today
only, so if further tests are required this may take a while again.

PCFE


This event sent from IssueTracker by sprabhu  [Support Engineering Group]
 issue 109203
Comment 9 Russell Doty 2007-04-25 14:52:32 EDT
Escalated to High priority - need engineering feedback. What are the
implications of this message?
Comment 10 Andy Gospodarek 2007-04-25 15:06:03 EDT
Generally this happens because of some interesting pci quirk and though the
driver is complaining it isn't really critical.  I'll see if there are any
workarounds to address this.

John Linville hasn't been doing RHEL4 test kernels lately, he's left that up to
me.  If they are willing to test some of these out they can try the ones here:

http://people.redhat.com/agospoda/#rhel4

Thanks!
Comment 12 Andy Gospodarek 2007-04-30 14:07:09 EDT
Thanks for the feedback.  I'll take a look at this in more detail.
Comment 17 Andy Gospodarek 2007-05-01 10:31:59 EDT
Do we have one of the systems like the customer has that we can use for testing?
 It seems there should be an entry in the lastest rhel4 and rhel5 kernels (like
in my test kernels), but it doesn't seem like the entry in quirks.c is doing
anything....
Comment 21 Andy Gospodarek 2007-05-01 17:04:33 EDT
Test kernels for this issue will be available here:

http://people.redhat.com/agospoda/#rhel4

Please test them and report back the results.  Thanks!
Comment 23 RHEL Product and Program Management 2007-05-02 17:27:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 28 Jason Baron 2007-07-27 11:57:37 EDT
committed in stream U6 build 55.24. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 29 Patrick C. F. Ernzer 2007-07-31 11:42:37 EDT
Jason,
thanks for this. I just tested 2.6.9-55.25.ELsmp and it works as expected for
this bug.
Comment 31 Michael Chan 2007-09-06 12:37:40 EDT
Please provide more information on the type of bnx2 chip (5706/5708), type of 
system, lspci, etc. 
Comment 32 Andy Gospodarek 2007-09-06 13:04:27 EDT
Michael, I made some of the private comments public -- sorry about that.  Let me
know if you need more info.
Comment 33 Michael Chan 2007-09-10 14:54:22 EDT
MSI failure was due to BIOS not setting HT_MSI_FLAGS_ENABLE bit in the 
HyperTransport MSI mapping capability of the HT-to-PCI bridge (PCI device 
0:1.0).  The patch to detect this problem and apply the proper quirk is in the 
link below.

http://marc.info/?l=linux-netdev&m=118921524032043&w=2
Comment 38 Andy Gospodarek 2007-10-05 17:36:18 EDT
*** Bug 205520 has been marked as a duplicate of this bug. ***
Comment 39 Aleksandar Milivojevic 2007-10-06 10:04:52 EDT
Bug 205520 (publicly accessible) was marked as duplicate of this bug (not publicly accessible).  I do not 
see anything in this bug report (or comments) that looks like sensitive information.  Unless you guys 
are under some NDA with hardware manufacturer and are discussing parts of hardware designed 
covered with that particular NDA.

If this bug is intended to be internal discussion between Red Hat and Broadcom engineers, please 
reopen bug 205520 and mark it to depend on this bug instead of marking it as duplicate (and remove 
me from CC in that case, I'm in no way under NDA with any of the hardware vendors).  If this bug is not 
intended to be internal discussion between Red Hat and Broadcom engineers, make it public.

Thanks
Comment 40 Andy Gospodarek 2007-10-08 09:16:44 EDT
Does anyone mind if we make this publicly accessible?
Comment 41 Patrick C. F. Ernzer 2007-10-23 10:14:47 EDT
Andy,
sorry for the long delay. NSN is fine with this being turned public.
Comment 43 Andy Gospodarek 2007-10-23 11:14:12 EDT
Aleksandar, this should now be publicly accessible -- let me know you or anyone
else have any problems accessing it.
Comment 45 errata-xmlrpc 2007-11-15 11:19:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.